Subject: Re: [Teas] FW: New Version Notification for draft-lee-teas-actn-pm-telemetry-autonomics-17.txt

From: Young Lee <[email-masked]>
Date: Mon, 1 Jul 2019 21:50:55 +0000

Hi, 

My suggestion is to add both RFC5277 and draft-ietf-netconf-subscribed-notifications to the reference list. Can we close this issue? 

Thanks.
Young
-----Original Message-----
From: Beller, Dieter (Nokia - DE/Stuttgart) [mailto:[email-masked]] 
Sent: Tuesday, June 4, 2019 7:51 AM
To: tom petch <[email-masked]>; Young Lee <[email-masked]>; Leeyoung <[email-masked]>
Cc: Vishnu Pavan Beeram <[email-masked]>; TEAS WG <[email-masked]>
Subject: Re: [Teas] FW: New Version Notification for draft-lee-teas-actn-pm-telemetry-autonomics-17.txt

Hi Tom,

what do you suggest? Adding normative references to both, RFC5277 and draft-ietf-netconf-subscribed-notifications (in RFC Ed Queue)?

Thanks,
Dieter

On 04.06.2019 10:57, tom petch wrote:
> ----- Original Message -----
> From: "Young Lee" <[email-masked]>
> Sent: Monday, June 03, 2019 2:26 AM
> Subject: Re: [Teas] FW: New Version Notification for
> draft-lee-teas-actn-pm-telemetry-autonomics-17.txt
>
>
>> Hi Dieter,
>>
>> I think we can add RFC 5277 as a reference. It seems that both RFC5277
> and
> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-netconf-netconf-event-notificatio&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=JDd9faGsANAUkF8s8yt3DDpHCzpFhpqwmKEb%2Ffrux%2F0%3D&amp;reserved=0
> ns-22 are compatible to each other.
>
>
> Not really; look at
> draft-ietf-netconf-subscribed-notifications-26
> s.1.4.  RFC5277 has been superseded, but not obsoleted, by a whole raft
> of I-D which provide a different way of doing things; an implementation
> may do one, or the other, or both but compatible is not a word that I
> would use.  I think that the expectation is that the RFC5277 approach
> will wither away with time.
>
> Tom Petch
>
>
>> Thanks.
>> Young
>>
>>
>> From: Beller, Dieter (Nokia - DE/Stuttgart)
> [mailto:[email-masked]]
>> Sent: Sunday, June 2, 2019 9:42 AM
>> To: Leeyoung <[email-masked]>
>> Cc: Vishnu Pavan Beeram <[email-masked]>; TEAS WG
> <[email-masked]>
>> Subject: Re: [Teas] FW: New Version Notification for
> draft-lee-teas-actn-pm-telemetry-autonomics-17.txt
>> Hi Young,
>>
>> I noticed that draft-lee-teas-actn-pm-telemetry-autonomics-17.txt does
> not reference
> RFC5277<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%
> 2Fdatatracker.ietf.org%2Fdoc%2Frfc5277%2F&data=02%7C01%7Cleeyoung%40futu
> rewei.com%7Cbbe475a1a6a14576637008d6e7688baf%7C0fee8ff2a3b240189c753a1d5
> 591fedc%7C1%7C0%7C636950833574726151&sdata=KquCN81GrA8bFeadwrBnmeUOVJtnO
> OnakUEUN8ED1b4%3D&reserved=0>: NETCONF Event Notifications
>> It only references:
>>
>> ·
> draft-ietf-netconf-yang-push<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fnam03.safelinks.protection.outlook&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=PL85Z9RDmgVDx1xLspShD29M6Nf448yIvSZG1fPf0nU%3D&amp;reserved=0.
> com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-netconf-yang-p
> ush&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1a6a14576637008d6e7
> 688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636950833574726151&s
> data=lEuKS%2FeENRoiEYEFLyXL3QSmSKhfPciyMeEfRVWTsdA%3D&reserved=0>
>> ·
> draft-ietf-netconf-<https://nam03.safelinks.protection.outlook.com/?url=
> https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-netconf-netconf-event-n
> otifications&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1a6a145766
> 37008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C63695083357
> 4736148&sdata=368%2BHwJQDJ1w9pZHYdoxF4GmR0DEdRpwjwbgA4I%2BgT4%3D&reserve
> d=0>netconf-event-notifications<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fnam03.safelinks.protection.outlo&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=pMjjHAODOoP56XyeyzScW33TGSlZhF9rTh5mS6enrgI%3D&amp;reserved=0
> ok.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-netconf-net
> conf-event-notifications&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe47
> 5a1a6a14576637008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7
> C636950833574736148&sdata=368%2BHwJQDJ1w9pZHYdoxF4GmR0DEdRpwjwbgA4I%2BgT
> 4%3D&reserved=0>
>> Could you please explain why
> RFC5277<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%
> 2Fdatatracker.ietf.org%2Fdoc%2Frfc5277%2F&data=02%7C01%7Cleeyoung%40futu
> rewei.com%7Cbbe475a1a6a14576637008d6e7688baf%7C0fee8ff2a3b240189c753a1d5
> 591fedc%7C1%7C0%7C636950833574736148&sdata=C%2BBbysR%2FzdK4FPmbgq8AFzlcB
> HvM8F9tdrhz4uRetaY%3D&reserved=0> is not listed as normative reference
> what I had expected?
>>
>> Thanks,
>> Dieter
>>
>>
>> On 24.05.2019 19:00, Leeyoung wrote:
>> Hi Pavan,
>>
>> Thanks for initiating this effort.
>>
>> Here’s how the revision incorporated Dieter’s comment. Please see
> “YL>>” for each comment.
>> Thanks.
>> Young
>>
> snipped-----------------------------------------------------------------
> ----------------------
>> Hi Young,
>>
>> here are some more comments as promised:
>>
>> Other terms which are not defined are:
>> ·       scaling intent (the description in section 4 is very poor and
> does not describe what scaling intent is all about),
>> ·       network autonomics
>> YL>> In Section 1.1 we added the following terms:
>> Key Performance Data: This refers to a set of data the customer is
>>     interested in monitoring for their instantiated VNs or TE-tunnels.
>>     Key performance data and key performance indicators are inter-
>>     exchangeable in this draft.
>>
>>     Scaling: This refers to the network ability to re-shape its own
>>     resources. Scale out refers to improve network performance by
>>     increasing the allocated resources, while scale in refers to
>>     decrease the allocated resources, typically because the existing
>>     resources are unnecessary.
>>
>>     Scaling Intent: To declare scaling conditions, scaling intent is
>>     used. Specifically, scaling intent refers to the intent expressed
> by
>>     the client that allows the client to program/configure conditions
> of
>>     their key performance data either for scaling out or scaling in.
>>     Various conditions can be set for scaling intent on either VN or
> TE-
>>     tunnel level.
>>
>>     Network Autonomics: This refers to the network automation
> capability
>>     that allows client to initiate scaling intent mechanisms and
>>     provides the client with the status of the adjusted network
>>     resources based on the client's scaling intent in an automated
>>     fashion.
>>
>> The term performance monitoring (PM) is being used in transport
> networks for many years and typically relates to 15min/24h PM counters
> and PM history.
>> Streaming telemetry data is rather new for transport network equipment
> and care should be taken to distinguish streaming telemetry data  from
> classical PM data
>> unless the classical PM counters are streamed, which is also an
> option.
>>
>> YL>> In the Introduction section, we added the following paragraph to
> explain how we used PM in this draft:
>> The term performance monitoring being used in this document is
>>     different from the term that has been used in transport networks
> for
>>     many years. Performance monitoring in this document refers to
>>     subscription and publication of streaming telemetry data.
>>     Subscription is initiated by the client (e.g., CNC) while
>>     publication is provided by the network (e.g., MDSC/PNC) based on
> the
>>     client's subscription. As the scope of performance monitoring in
>>     this document is telemetry data on the level of client's VN or TE-
>>     tunnel, the entity interfacing the client (e.g., MDSC) has to
>>     provide VN or TE-tunnel level information. This would require
>>     controller capability to derive VN or TE-tunnel level performance
>>     data based on lower-level data collected via PM counters in the
>>     Network Elements (NE). How the controller entity derives such
>>     customized level data (i.e., VN or TE-tunnel level) is out of the
>>     scope of this document.
>>
>> Regarding the scaling intent: I was expecting to find a description of
> "scaling intent" in order to understand what it means:
>>     Scaling intent configuration mechanism allows the client to
>>
>>     configure automatic scale-in and scale-out mechanisms on both the
>>
>>     TE-tunnel and the VN level. Various conditions can be set for auto-
>>
>>     scaling based on the PM telemetry data.
>>
>> YL>> As added in Section 1.1,
>> Scaling Intent: To declare scaling conditions, scaling intent is
>>     used. Specifically, scaling intent refers to the intent expressed
> by
>>     the client that allows the client to program/configure conditions
> of
>>     their key performance data either for scaling out or scaling in.
>>     Various conditions can be set for scaling intent on either VN or
> TE-
>>     tunnel level.
>>
>> What are the "automatic scale-in and scale-out mechanisms"? What are
> the configuration parameters of these mechanisms? This is totally
> unclear to me:
>>     There are a number of parameters involved in the mechanism:
>>
>>
>>
>>       . scale-out-intent or scale-in-intent: whether to scale-out or
>>
>>          scale-in.
>>
>> YL>> At the end of Section 4, we have the following text:
>>
>>
>>
>> There are a number of parameters involved in the mechanism:
>>
>>
>>
>>       . scale-out-intent or scale-in-intent: whether to scale-out or
>>
>>          scale-in.
>>
>>       . performance-type: performance metric type (e.g., one-way-delay,
>>
>>          one-way-delay-min, one-way-delay-max, two-way-delay, two-way-
>>
>>          delay-min, two-way-delay-max, utilized bandwidth, etc.)
>>
>>       . threshold-value: the threshold value for a certain performance-
>>
>>          type that triggers scale-in or scale-out.
>>
>>       . scaling-operation-type: in case where scaling condition can be
>>
>>          set with one or more performance types, then
> scaling-operation-
>>          type (AND, OR, MIN, MAX, etc.) is applied to these selected
>>
>>          performance types and its threshold values.
>>
>>       . Threshold-time: the duration for which the criteria must hold
>>
>>          true.
>>
>>       . Cooldown-time: the duration after a scaling action has been
>>
>>          triggered, for which there will be no further operation.
>>
>>
>> The tree view in section 4 is not providing any clarity either:
>>
>>     module: ietf-te-kpi-telemetry
>>
>>       augment /te:te/te:tunnels/te:tunnel:
>>
>>         +-rw te-scaling-intent
>>
>>         |  +-rw scale-in-intent
>>
>>         |  |  +-rw threshold-time?            uint32
>>
>>         |  |  +-rw cooldown-time?             uint32
>>
>>         |  |  +-rw scale-in-operation-type?
> scaling-criteria-operation
>>         |  |  +-rw scaling-condition* [performance-type]
>>
>>         |  |     +-rw performance-type           identityref
>>
>>         |  |     +-rw threshold-value?           string
>>
>>         |  |     +-rw te-telemetry-tunnel-ref?
>>
>>                     -> /te:te/tunnels/tunnel/name
>>
>>         |  +-rw scale-out-intent
>>
>>         |     +-rw threshold-time?             uint32
>>
>>         |     +-rw cooldown-time?              uint32
>>
>>         |     +-rw scale-out-operation-type?
> scaling-criteria-operation
>>         |     +-rw scaling-condition* [performance-type]
>>
>>         |        +-rw performance-type           identityref
>>
>>         |        +-rw threshold-value?           string
>>
>>         |        +-rw te-telemetry-tunnel-ref?
>>
>>                     -> /te:te/tunnels/tunnel/name
>>
>>
>> The meaning of the attributes (e.g. cooldown-time,
> scale-in-operation-type) are not explained.
>> YL>> Please see the previous comments.
>>
>> My conclusion: this document is not ready yet for WG adoption. The
> concerns I raised at IETF104 wer not properly addressed.
>>
>> Thanks,
>> Dieter
>>
>>
>>
>> On 18.04.2019 20:58, Dieter Beller wrote:
>> Hi Young,
>>
>> here is my very first comment:
>>
>> The abstract reads:
>>
>> Abstract
>>
>>
>>
>>     This document provides YANG data models that describe performance
>>
>>     monitoring telemetry and scaling intent mechanism for TE-tunnels
> and
>>     Virtual Networks (VN).
>>
>>
>>
>>     The models presented in this draft allow customers to subscribe to
>>
>>     and monitor their key performance data of their interest on the
>>
>>     level of TE-tunnel or VN. The models also provide customers with
> the
>>     ability to program autonomic scaling intent mechanism on the level
>>
>>     of TE-tunnel as well as VN.
>> When I tried to find the definition of the term "key performance data"
> I failed. The terminology section reads:
> 1.1<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fto
> ols.ietf.org%2Fhtml%2Fdraft-lee-teas-actn-pm-telemetry-autonomics-16%23s
> ection-1.1&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1a6a14576637
> 008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C6369508335747
> 46138&sdata=w1QlGE9Jl8CaJ%2Feym22VsxRipsRFtFa%2FfUPGwA9Mo4M%3D&reserved=
> 0>. Terminology
>>     Refer to
> [RFC8453<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F
> %2Ftools.ietf.org%2Fhtml%2Frfc8453&data=02%7C01%7Cleeyoung%40futurewei.c
> om%7Cbbe475a1a6a14576637008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc
> %7C1%7C0%7C636950833574746138&sdata=UGswSJMJd1nsJA%2BjkfLO6vv5fJwmXlNT65
> nPoInCdaE%3D&reserved=0>],
> [RFC7926<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F
> %2Ftools.ietf.org%2Fhtml%2Frfc7926&data=02%7C01%7Cleeyoung%40futurewei.c
> om%7Cbbe475a1a6a14576637008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc
> %7C1%7C0%7C636950833574756136&sdata=CvAGamqQUQHwX4b9hDHalnrLZLuqq2ud%2F6
> lMHhghyFM%3D&reserved=0>], and
> [RFC8309<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F
> %2Ftools.ietf.org%2Fhtml%2Frfc8309&data=02%7C01%7Cleeyoung%40futurewei.c
> om%7Cbbe475a1a6a14576637008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc
> %7C1%7C0%7C636950833574756136&sdata=EhxXU2JhRo3zdwUFEUSV8H8c7H%2BC4K7zoc
> J6uMTVAIw%3D&reserved=0>] for the key terms used
>>     in this document.
>>
>> The term "key performance data" is not defined in section 1.1 nor in
> the referenced RFSs!
>> Frankly speaking, I have no clue what "key performance data" is.
>>
>> This is what I was criticizing when you presented the draft in Prague.
>>
>> More comments will follow.
>>
>> YL>> Add this in Section 1.1:
>> Key Performance Data: This refers to a set of data the customer is
>>     interested in monitoring for their instantiated VNs or TE-tunnels.
>>     Key performance data and key performance indicators are inter-
>>     exchangeable in this draft.
>>
>>
>> From: Vishnu Pavan Beeram [mailto:[email-masked]]
>> Sent: Sunday, May 19, 2019 11:58 PM
>> To: Leeyoung <[email-masked]><mailto:[email-masked]>;
> Beller, Dieter (Nokia - DE)
> <[email-masked]><mailto:[email-masked]>
>> Cc: TEAS WG <[email-masked]><mailto:[email-masked]>
>> Subject: Re: [Teas] FW: New Version Notification for
> draft-lee-teas-actn-pm-telemetry-autonomics-17.txt
>> Young,
>> Thanks for bringing the offline discussion to the list. Please discuss
> (on the list) how the changes in the latest revision address all of
> Dieter's comments.
>> Dieter,
>> Please do confirm on the list if there are no further open issues to
> discuss.
>> Regards,
>> -Pavan
>>
>> On Wed, May 8, 2019 at 11:50 AM Leeyoung
> <[email-masked]<mailto:[email-masked]>> wrote:
>> Hi,
>>
>> This revision incorporated Dieter's comments (exchanged privately ---
> see the attachment for this content of Dieter's comments).
>> If there are still further comments before being ready for WG
> adoption, we'd appreciate your providing comments in a timely manner.
>> Thanks & Best regards,
>> Young (on behalf of co-authors)
>>
>> -----Original Message-----
>> From: [email-masked]<mailto:[email-masked]>
> [mailto:[email-masked]<mailto:[email-masked]>]
>> Sent: Wednesday, May 8, 2019 11:43 AM
>> To: Daniele Ceccarelli
> <[email-masked]<mailto:[email-masked]>
>> ; Satish Karunanithi
> <[email-masked]<mailto:[email-masked]>>;
> Leeyoung <[email-masked]<mailto:[email-masked]>>; Dhruv Dhody
> <[email-masked]<mailto:[email-masked]>>; Daniel King
> <[email-masked]<mailto:[email-masked]>>; Ricard Vilata
> <[email-masked]<mailto:[email-masked]>>; Ricard Vilalta
> <[email-masked]<mailto:[email-masked]>>
>> Subject: New Version Notification for
> draft-lee-teas-actn-pm-telemetry-autonomics-17.txt
>>
>> A new version of I-D,
> draft-lee-teas-actn-pm-telemetry-autonomics-17.txt
>> has been successfully submitted by Young Lee and posted to the IETF
> repository.
>> Name:           draft-lee-teas-actn-pm-telemetry-autonomics
>> Revision:       17
>> Title:          YANG models for VN & TE Performance Monitoring
> Telemetry and Scaling Intent Autonomics
>> Document date:  2019-05-08
>> Group:          Individual Submission
>> Pages:          30
>> URL:
> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Finternet-drafts%2Fdraft-lee-teas-actn-pm-telemetry-au&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=JB8yr6VopZazcDJMx96EMwJZw1Ad8AzfRMPhoIhrpyM%3D&amp;reserved=0
> tonomics-17.txt<https://nam03.safelinks.protection.outlook.com/?url=http
> s%3A%2F%2Fwww.ietf.org%2Finternet-drafts%2Fdraft-lee-teas-actn-pm-teleme
> try-autonomics-17.txt&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1
> a6a14576637008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C63
> 6950833574756136&sdata=HM48AUuC6BvvUSUgAsfNAsGAcdzO52d326gJqqgQnNg%3D&re
> served=0>
>> Status:
> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-lee-teas-actn-pm-telemetry-autono&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=VmQ9ZWbwGXiQTI66mGR%2FhwzqBJHemQ5kU3JCkxLKYEo%3D&amp;reserved=0
> mics/<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2F
> datatracker.ietf.org%2Fdoc%2Fdraft-lee-teas-actn-pm-telemetry-autonomics
> %2F&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1a6a14576637008d6e7
> 688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636950833574766127&s
> data=7G9Ijjk5cuyVg3JSDO%2B7jQN50SRgCuKJuIRhfGOKyZY%3D&reserved=0>
>> Htmlized:
> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-lee-teas-actn-pm-telemetry-autonomics-&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=vZWFGRF7fzDBM1LhBiqwGhU01Gb7ZtQOjp6lKd5ibTk%3D&amp;reserved=0
> 17<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftoo
> ls.ietf.org%2Fhtml%2Fdraft-lee-teas-actn-pm-telemetry-autonomics-17&data
> =02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1a6a14576637008d6e7688baf%7
> C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636950833574766127&sdata=2Mc
> nE2%2B7Zyl1J0LtTX10%2FBaBbka5RL1giUQZ72KPoMs%3D&reserved=0>
>> Htmlized:
> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-lee-teas-actn-pm-telemetry-a&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=tOA0CoDqcw650rDocYW%2BAg6cs0fqPdI53tA8nhu1Fko%3D&amp;reserved=0
> utonomics<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2
> F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-lee-teas-actn-pm-telemetry
> -autonomics&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1a6a1457663
> 7008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636950833574
> 776124&sdata=IMIqf0g15xT%2FzD8pCpxL05IMzdqWqK6IhAW5YfKiGKE%3D&reserved=0
>> Diff:
> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-lee-teas-actn-pm-telemetry-auton&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=U8wO0eWsGhr6iSX%2FErQO8DOOqBELb5XrOQmdzaFYfRc%3D&amp;reserved=0
> omics-17<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F
> %2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-lee-teas-actn-pm-telemetry-auto
> nomics-17&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1a6a145766370
> 08d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C63695083357477
> 6124&sdata=8YAuaMmlhMz13t%2BEKXc2p6yraPKSt6XumuDTn7PzS6c%3D&reserved=0>
>> Abstract:
>>     This document provides YANG data models that describe performance
>>     monitoring telemetry and scaling intent mechanism for TE-tunnels
> and
>>     Virtual Networks (VN).
>>
>>     The models presented in this draft allow customers to subscribe to
>>     and monitor their key performance data of their interest on the
>>     level of TE-tunnel or VN. The models also provide customers with
> the
>>     ability to program autonomic scaling intent mechanism on the level
>>     of TE-tunnel as well as VN.
>>
>>
>>
>>
>>
>>
>> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org<https://nam03.safelinks.protection.outlook.com/?url=http%
> 3A%2F%2Ftools.ietf.org&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a
> 1a6a14576637008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C6
> 36950833574786116&sdata=DbOF8DsF0czlrvFnG9vlI1tPGD7OMW62hcxy4PA8fBE%3D&r
> eserved=0>.
>> The IETF Secretariat
>>
>>
>>
>>
>> ---------- Forwarded message ----------
>> From: "Beller, Dieter (Nokia - DE/Stuttgart)"
> <[email-masked]<mailto:[email-masked]>>
>> To: Leeyoung <[email-masked]<mailto:[email-masked]>>
>> Cc: TEAS WG Chairs
> <[email-masked]<mailto:[email-masked]>>, "King, Daniel"
> <[email-masked]<mailto:[email-masked]>>, Daniele
> Ceccarelli
> <[email-masked]<mailto:[email-masked]>
>> Bcc:
>> Date: Thu, 25 Apr 2019 09:06:20 +0000
>> Subject: Re: [Teas] FW: New Version Notification for
> draft-lee-teas-actn-pm-telemetry-autonomics-16.txt
>> Hi Young,
>>
>> here are some more comments as promised:
>>
>> Other terms which are not defined are:
>> ·       scaling intent (the description in section 4 is very poor and
> does not describe what scaling intent is all about),
>> ·       network autonomics
>>
>> The term performance monitoring (PM) is being used in transport
> networks for many years and typically relates to 15min/24h PM counters
> and PM history.
>> Streaming telemetry data is rather new for transport network equipment
> and care should be taken to distinguish streaming telemetry data  from
> classical PM data
>> unless the classical PM counters are streamed, which is also an
> option.
>> Regarding the scaling intent: I was expecting to find a description of
> "scaling intent" in order to understand what it means:
>>     Scaling intent configuration mechanism allows the client to
>>
>>     configure automatic scale-in and scale-out mechanisms on both the
>>
>>     TE-tunnel and the VN level. Various conditions can be set for auto-
>>
>>     scaling based on the PM telemetry data.
>>
>> What are the "automatic scale-in and scale-out mechanisms"? What are
> the configuration parameters of these mechanisms? This is totally
> unclear to me:
>>     There are a number of parameters involved in the mechanism:
>>
>>
>>
>>       . scale-out-intent or scale-in-intent: whether to scale-out or
>>
>>          scale-in.
>> The tree view in section 4 is not providing any clarity either:
>>
>>     module: ietf-te-kpi-telemetry
>>
>>       augment /te:te/te:tunnels/te:tunnel:
>>
>>         +-rw te-scaling-intent
>>
>>         |  +-rw scale-in-intent
>>
>>         |  |  +-rw threshold-time?            uint32
>>
>>         |  |  +-rw cooldown-time?             uint32
>>
>>         |  |  +-rw scale-in-operation-type?
> scaling-criteria-operation
>>         |  |  +-rw scaling-condition* [performance-type]
>>
>>         |  |     +-rw performance-type           identityref
>>
>>         |  |     +-rw threshold-value?           string
>>
>>         |  |     +-rw te-telemetry-tunnel-ref?
>>
>>                     -> /te:te/tunnels/tunnel/name
>>
>>         |  +-rw scale-out-intent
>>
>>         |     +-rw threshold-time?             uint32
>>
>>         |     +-rw cooldown-time?              uint32
>>
>>         |     +-rw scale-out-operation-type?
> scaling-criteria-operation
>>         |     +-rw scaling-condition* [performance-type]
>>
>>         |        +-rw performance-type           identityref
>>
>>         |        +-rw threshold-value?           string
>>
>>         |        +-rw te-telemetry-tunnel-ref?
>>
>>                     -> /te:te/tunnels/tunnel/name
>>
>>
>> The meaning of the attributes (e.g. cooldown-time,
> scale-in-operation-type) are not explained.
>>
>> My conclusion: this document is not ready yet for WG adoption. The
> concerns I raised at IETF104 wer not properly addressed.
>>
>> Thanks,
>> Dieter
>>
>>
>>
>> On 18.04.2019 20:58, Dieter Beller wrote:
>> Hi Young,
>>
>> here is my very first comment:
>>
>> The abstract reads:
>>
>> Abstract
>>
>>
>>
>>     This document provides YANG data models that describe performance
>>
>>     monitoring telemetry and scaling intent mechanism for TE-tunnels
> and
>>     Virtual Networks (VN).
>>
>>
>>
>>     The models presented in this draft allow customers to subscribe to
>>
>>     and monitor their key performance data of their interest on the
>>
>>     level of TE-tunnel or VN. The models also provide customers with
> the
>>     ability to program autonomic scaling intent mechanism on the level
>>
>>     of TE-tunnel as well as VN.
>> When I tried to find the definition of the term "key performance data"
> I failed. The terminology section reads:
> 1.1<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fto
> ols.ietf.org%2Fhtml%2Fdraft-lee-teas-actn-pm-telemetry-autonomics-16%23s
> ection-1.1&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1a6a14576637
> 008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C6369508335747
> 86116&sdata=%2F6EH8kSSL2iF3Knr7KmNQYvAcvboCHFawh2JIxB8FAQ%3D&reserved=0>
> . Terminology
>>     Refer to
> [RFC8453<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F
> %2Ftools.ietf.org%2Fhtml%2Frfc8453&data=02%7C01%7Cleeyoung%40futurewei.c
> om%7Cbbe475a1a6a14576637008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc
> %7C1%7C0%7C636950833574786116&sdata=aD1OJYz9BmuzBq95c7T6NsbkghjSMG6Zm7%2
> Fcbhzmn9g%3D&reserved=0>],
> [RFC7926<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F
> %2Ftools.ietf.org%2Fhtml%2Frfc7926&data=02%7C01%7Cleeyoung%40futurewei.c
> om%7Cbbe475a1a6a14576637008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc
> %7C1%7C0%7C636950833574796110&sdata=XjaHaw76bJz20%2FwNF%2FTmTJcLdQsdp%2F
> TvaOBcpptCL04%3D&reserved=0>], and
> [RFC8309<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F
> %2Ftools.ietf.org%2Fhtml%2Frfc8309&data=02%7C01%7Cleeyoung%40futurewei.c
> om%7Cbbe475a1a6a14576637008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc
> %7C1%7C0%7C636950833574796110&sdata=fia79UTfQHU93LU0Mr%2BwlEOxJGm1Ighqrg
> EcSBTmWog%3D&reserved=0>] for the key terms used
>>     in this document.
>>
>> The term "key performance data" is not defined in section 1.1 nor in
> the referenced RFSs!
>> Frankly speaking, I have no clue what "key performance data" is.
>>
>> This is what I was criticizing when you presented the draft in Prague.
>>
>> More comments will follow.
>>
>>
>> Thanks,
>> Dieter
>>
>>
>>
>> On 18.04.2019 18:56, Dieter Beller wrote:
>> Hi Young,
>>
>> I will have a look at the latest version. Unfortunately, I was not
> able to find the necessary time yet.
>>
>> Thanks,
>> Dieter
>>
>>
>> On 18.04.2019 18:27, Leeyoung wrote:
>>
>> Hi Pavan and Lou,
>>
>>
>>
>> To recap, the revision addressed all your comments in Prague meeting
> on the generalization of this draft so that it would be applicable in
> general contexts. And thanks to Tom, all other comments have been
> incorporated to improve the draft.
>>
>>
>> The co-authors believe that this is ready for WG adoption. Please let
> us know if this is the case; otherwise, let us know what needs further
> to be done.
>>
>>
>> Thanks & Best regards,
>>
>> Young (on behalf of co-authors)
>>
>>
>>
>> -----Original Message-----
>>
>> From: [email-masked]<mailto:[email-masked]>
> [mailto:[email-masked]]
>> Sent: Thursday, April 18, 2019 11:18 AM
>>
>> To: Daniele Ceccarelli
> <[email-masked]><mailto:[email-masked]
>> ; Satish Karunanithi
> <[email-masked]><mailto:[email-masked]>;
> Leeyoung <[email-masked]><mailto:[email-masked]>; Dhruv Dhody
> <[email-masked]><mailto:[email-masked]>; Daniel King
> <[email-masked]><mailto:[email-masked]>; Ricard Vilata
> <[email-masked]><mailto:[email-masked]>; Ricard Vilalta
> <[email-masked]><mailto:[email-masked]>
>> Subject: New Version Notification for
> draft-lee-teas-actn-pm-telemetry-autonomics-16.txt
>>
>>
>>
>>
>> A new version of I-D,
> draft-lee-teas-actn-pm-telemetry-autonomics-16.txt
>> has been successfully submitted by Young Lee and posted to the IETF
> repository.
>>
>>
>> Name:         draft-lee-teas-actn-pm-telemetry-autonomics
>>
>> Revision:  16
>>
>> Title:        YANG models for VN & TE Performance Monitoring Telemetry
> and Scaling Intent Autonomics
>> Document date:   2019-04-18
>>
>> Group:        Individual Submission
>>
>> Pages:            29
>>
>> URL:
> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Finternet-drafts%2Fdraft-lee-teas-actn-pm-telemetry-au&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=JB8yr6VopZazcDJMx96EMwJZw1Ad8AzfRMPhoIhrpyM%3D&amp;reserved=0
> tonomics-16.txt<https://nam03.safelinks.protection.outlook.com/?url=http
> s%3A%2F%2Fwww.ietf.org%2Finternet-drafts%2Fdraft-lee-teas-actn-pm-teleme
> try-autonomics-16.txt&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1
> a6a14576637008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C63
> 6950833574806105&sdata=FjHt7vpTL24Xq4fxEDEXetXI7DRIjfWyOzQ7SGjQCSo%3D&re
> served=0>
>> Status:
> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-lee-teas-actn-pm-telemetry-autono&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=VmQ9ZWbwGXiQTI66mGR%2FhwzqBJHemQ5kU3JCkxLKYEo%3D&amp;reserved=0
> mics/<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2F
> datatracker.ietf.org%2Fdoc%2Fdraft-lee-teas-actn-pm-telemetry-autonomics
> %2F&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1a6a14576637008d6e7
> 688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636950833574806105&s
> data=V9pucoRpog%2B05CYYbsZc66BNxU53BhaMZb%2BtvStsndg%3D&reserved=0>
>> Htmlized:
> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-lee-teas-actn-pm-telemetry-autonomics-&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=vZWFGRF7fzDBM1LhBiqwGhU01Gb7ZtQOjp6lKd5ibTk%3D&amp;reserved=0
> 16<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftoo
> ls.ietf.org%2Fhtml%2Fdraft-lee-teas-actn-pm-telemetry-autonomics-16&data
> =02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1a6a14576637008d6e7688baf%7
> C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636950833574806105&sdata=IVS
> vZ090Tw6d462NCvTWRuuOhSsd%2FT4g9900aCj4GUY%3D&reserved=0>
>> Htmlized:
> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-lee-teas-actn-pm-telemetry-a&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=tOA0CoDqcw650rDocYW%2BAg6cs0fqPdI53tA8nhu1Fko%3D&amp;reserved=0
> utonomics<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2
> F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-lee-teas-actn-pm-telemetry
> -autonomics&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1a6a1457663
> 7008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636950833574
> 816103&sdata=Hjsww571o%2FRSHcrGREMyLP%2FXXHLszq%2F%2Fi0%2Fesggbrlw%3D&re
> served=0>
>> Diff:
> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-lee-teas-actn-pm-telemetry-auton&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384163524&amp;sdata=pcQ1Jf8Wj%2BQbgQ5pQIMDsfeccKr9GUhCXw7eIjzqkk4%3D&amp;reserved=0
> omics-16<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F
> %2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-lee-teas-actn-pm-telemetry-auto
> nomics-16&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1a6a145766370
> 08d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C63695083357481
> 6103&sdata=3UA7Y1dsfXmCUFWa3BuTScqIUqjlNnNZlnIVdx6IVg4%3D&reserved=0>
>>
>>
>> Abstract:
>>
>>     This document provides YANG data models that describe performance
>>
>>     monitoring telemetry and scaling intent mechanism for TE-tunnels
> and
>>     Virtual Networks (VN).
>>
>>
>>
>>     The models presented in this draft allow customers to subscribe to
>>
>>     and monitor their key performance data of their interest on the
>>
>>     level of TE-tunnel or VN. The models also provide customers with
> the
>>     ability to program autonomic scaling intent mechanism on the level
>>
>>     of TE-tunnel as well as VN.
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at
> tools.ietf.org<https://nam03.safelinks.protection.outlook.com/?url=http%
> 3A%2F%2Ftools.ietf.org&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a
> 1a6a14576637008d6e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C6
> 36950833574826094&sdata=uf8Yi8ryQ3E3ksdgQXH%2Bhif9sb94nSmdGQUz0pThuHY%3D
> &reserved=0>.
>>
>>
>> The IETF Secretariat
>>
>>
>>
>> _______________________________________________
>>
>> Teas mailing list
>>
>> [email-masked]<mailto:[email-masked]>
>>
>>
> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fteas&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384163524&amp;sdata=EyPOMB5JVhfl5qlOZL0ldPiFpfvHUgTEZ1vu%2B%2BUc0cM%3D&amp;reserved=0<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fnam03.safelinks.prote&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384163524&amp;sdata=6FfMkJjV%2FxQPu2kHu74t5ak5L6fyHFuWwZSmDgzPf5U%3D&amp;reserved=0
> ction.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2
> Fteas&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1a6a14576637008d6
> e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636950833574826094
> &sdata=0anDfEi6GTlQVhAMYTajb6P86e62EbLgu1HzYTC5%2F1E%3D&reserved=0>
>> _______________________________________________
>> Teas mailing list
>> [email-masked]<mailto:[email-masked]>
>>
> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fteas&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384163524&amp;sdata=EyPOMB5JVhfl5qlOZL0ldPiFpfvHUgTEZ1vu%2B%2BUc0cM%3D&amp;reserved=0<https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fnam03.safelinks.prote&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384163524&amp;sdata=6FfMkJjV%2FxQPu2kHu74t5ak5L6fyHFuWwZSmDgzPf5U%3D&amp;reserved=0
> ction.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2
> Fteas&data=02%7C01%7Cleeyoung%40futurewei.com%7Cbbe475a1a6a14576637008d6
> e7688baf%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636950833574836088
> &sdata=WVttnZgCMy8cB0Id%2BwbQieadkCc0W0HkuZDe6prvEi0%3D&reserved=0>
>>
>
> ------------------------------------------------------------------------
> --------
>
>
>> _______________________________________________
>> Teas mailing list
>> [email-masked]
>> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fteas&amp;data=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384163524&amp;sdata=EyPOMB5JVhfl5qlOZL0ldPiFpfvHUgTEZ1vu%2B%2BUc0cM%3D&amp;reserved=0
>>

---

From: tom petch <[email-masked]>
Date: Tue, 2 Jul 2019 12:04:00 +0000

----- Original Message -----
From: "Young Lee" <[email-masked]>
Sent: Monday, July 01, 2019 10:50 PM

> Hi,
>
> My suggestion is to add both RFC5277 and
draft-ietf-netconf-subscribed-notifications to the reference list. Can
we close this issue?

OK

Tom Petch

> To: tom petch <[email-masked]>; Young Lee
<[email-masked]>; Leeyoung <[email-masked]>
<[email-masked]>
>
> Hi Tom,
>
> what do you suggest? Adding normative references to both, RFC5277 and
draft-ietf-netconf-subscribed-notifications (in RFC Ed Queue)?
> >> I think we can add RFC 5277 as a reference. It seems that both
RFC5277
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.
ietf.org%2Fhtml%2Fdraft-ietf-netconf-netconf-event-notificatio&amp;data=
02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C
0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=
JDd9faGsANAUkF8s8yt3DDpHCzpFhpqwmKEb%2Ffrux%2F0%3D&amp;reserved=0
> > OnakUEUN8ED1b4%3D&reserved=0>: NETCONF Event Notifications
draft-ietf-netconf-yang-push<https://nam03.safelinks.protection.outlook.
com/?url=https%3A%2F%2Fnam03.safelinks.protection.outlook&amp;data=02%7C
01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8
ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=PL85Z
9RDmgVDx1xLspShD29M6Nf448yIvSZG1fPf0nU%3D&amp;reserved=0.
d=0>netconf-event-notifications<https://nam03.safelinks.protection.outlo
ok.com/?url=https%3A%2F%2Fnam03.safelinks.protection.outlo&amp;data=02%7
C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee
8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=pMjj
HAODOoP56XyeyzScW33TGSlZhF9rTh5mS6enrgI%3D&amp;reserved=0
> >> Group:          Individual Submission
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ie
tf.org%2Finternet-drafts%2Fdraft-lee-teas-actn-pm-telemetry-au&amp;data=
02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C
0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=
JB8yr6VopZazcDJMx96EMwJZw1Ad8AzfRMPhoIhrpyM%3D&amp;reserved=0
> >> Status:
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatr
acker.ietf.org%2Fdoc%2Fdraft-lee-teas-actn-pm-telemetry-autono&amp;data=
02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C
0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=
VmQ9ZWbwGXiQTI66mGR%2FhwzqBJHemQ5kU3JCkxLKYEo%3D&amp;reserved=0
> > data=7G9Ijjk5cuyVg3JSDO%2B7jQN50SRgCuKJuIRhfGOKyZY%3D&reserved=0>
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.
ietf.org%2Fhtml%2Fdraft-lee-teas-actn-pm-telemetry-autonomics-&amp;data=
02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C
0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=
vZWFGRF7fzDBM1LhBiqwGhU01Gb7ZtQOjp6lKd5ibTk%3D&amp;reserved=0
> > nE2%2B7Zyl1J0LtTX10%2FBaBbka5RL1giUQZ72KPoMs%3D&reserved=0>
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatr
acker.ietf.org%2Fdoc%2Fhtml%2Fdraft-lee-teas-actn-pm-telemetry-a&amp;dat
a=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%
7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdat
a=tOA0CoDqcw650rDocYW%2BAg6cs0fqPdI53tA8nhu1Fko%3D&amp;reserved=0
> >> Diff:
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ie
tf.org%2Frfcdiff%3Furl2%3Ddraft-lee-teas-actn-pm-telemetry-auton&amp;dat
a=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%
7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdat
a=U8wO0eWsGhr6iSX%2FErQO8DOOqBELb5XrOQmdzaFYfRc%3D&amp;reserved=0
> >> Title:        YANG models for VN & TE Performance Monitoring
Telemetry
> >> Group:        Individual Submission
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ie
tf.org%2Finternet-drafts%2Fdraft-lee-teas-actn-pm-telemetry-au&amp;data=
02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C
0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=
JB8yr6VopZazcDJMx96EMwJZw1Ad8AzfRMPhoIhrpyM%3D&amp;reserved=0
> >> Status:
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatr
acker.ietf.org%2Fdoc%2Fdraft-lee-teas-actn-pm-telemetry-autono&amp;data=
02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C
0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=
VmQ9ZWbwGXiQTI66mGR%2FhwzqBJHemQ5kU3JCkxLKYEo%3D&amp;reserved=0
> > data=V9pucoRpog%2B05CYYbsZc66BNxU53BhaMZb%2BtvStsndg%3D&reserved=0>
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.
ietf.org%2Fhtml%2Fdraft-lee-teas-actn-pm-telemetry-autonomics-&amp;data=
02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C
0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdata=
vZWFGRF7fzDBM1LhBiqwGhU01Gb7ZtQOjp6lKd5ibTk%3D&amp;reserved=0
> > vZ090Tw6d462NCvTWRuuOhSsd%2FT4g9900aCj4GUY%3D&reserved=0>
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatr
acker.ietf.org%2Fdoc%2Fhtml%2Fdraft-lee-teas-actn-pm-telemetry-a&amp;dat
a=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%
7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384153529&amp;sdat
a=tOA0CoDqcw650rDocYW%2BAg6cs0fqPdI53tA8nhu1Fko%3D&amp;reserved=0
> >> Diff:
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ie
tf.org%2Frfcdiff%3Furl2%3Ddraft-lee-teas-actn-pm-telemetry-auton&amp;dat
a=02%7C01%7Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%
7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636952494384163524&amp;sdat
a=pcQ1Jf8Wj%2BQbgQ5pQIMDsfeccKr9GUhCXw7eIjzqkk4%3D&amp;reserved=0
> >> The IETF Secretariat
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ie
tf.org%2Fmailman%2Flistinfo%2Fteas&amp;data=02%7C01%7Cleeyoung%40futurew
ei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591
fedc%7C1%7C0%7C636952494384163524&amp;sdata=EyPOMB5JVhfl5qlOZL0ldPiFpfvH
UgTEZ1vu%2B%2BUc0cM%3D&amp;reserved=0<https://nam03.safelinks.protection
.outlook.com/?url=https%3A%2F%2Fnam03.safelinks.prote&amp;data=02%7C01%7
Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a
3b240189c753a1d5591fedc%7C1%7C0%7C636952494384163524&amp;sdata=6FfMkJjV%
2FxQPu2kHu74t5ak5L6fyHFuWwZSmDgzPf5U%3D&amp;reserved=0
> > &sdata=0anDfEi6GTlQVhAMYTajb6P86e62EbLgu1HzYTC5%2F1E%3D&reserved=0>
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ie
tf.org%2Fmailman%2Flistinfo%2Fteas&amp;data=02%7C01%7Cleeyoung%40futurew
ei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591
fedc%7C1%7C0%7C636952494384163524&amp;sdata=EyPOMB5JVhfl5qlOZL0ldPiFpfvH
UgTEZ1vu%2B%2BUc0cM%3D&amp;reserved=0<https://nam03.safelinks.protection
.outlook.com/?url=https%3A%2F%2Fnam03.safelinks.prote&amp;data=02%7C01%7
Cleeyoung%40futurewei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a
3b240189c753a1d5591fedc%7C1%7C0%7C636952494384163524&amp;sdata=6FfMkJjV%
2FxQPu2kHu74t5ak5L6fyHFuWwZSmDgzPf5U%3D&amp;reserved=0
> > &sdata=WVttnZgCMy8cB0Id%2BwbQieadkCc0W0HkuZDe6prvEi0%3D&reserved=0>
https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ie
tf.org%2Fmailman%2Flistinfo%2Fteas&amp;data=02%7C01%7Cleeyoung%40futurew
ei.com%7C4e282722a2e64e89c95908d6e8eb3c84%7C0fee8ff2a3b240189c753a1d5591
fedc%7C1%7C0%7C636952494384163524&amp;sdata=EyPOMB5JVhfl5qlOZL0ldPiFpfvH
UgTEZ1vu%2B%2BUc0cM%3D&amp;reserved=0